- [HTTP request](https://developers.google.com/my-business/reference/notifications/rest/v1/accounts/getNotificationSetting#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/notifications/rest/v1/accounts/getNotificationSetting#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/notifications/rest/v1/accounts/getNotificationSetting#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/notifications/rest/v1/accounts/getNotificationSetting#body.response_body)
- [Authorization scopes](https://developers.google.com/my-business/reference/notifications/rest/v1/accounts/getNotificationSetting#body.aspect)

Returns the pubsub notification settings for the account.

### HTTP request

`GET https://mybusinessnotifications.googleapis.com/v1/{name=accounts/*/notificationSetting}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the notification setting we are trying to fetch. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/notifications/rest/v1/NotificationSetting`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).